import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.page.base.getList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.page.base.doEdit,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.page.base.doDelete,
    method: 'post',
    data,
  })
}

export function enable(data) {
  return request({
    url: URL.shop.page.base.enable,
    method: 'post',
    data,
  })
}

export function doAdd(data) {
  return request({
    url: URL.shop.page.base.doAdd,
    method: 'post',
    data,
  })
}
